Skip to main content
GET
/
content
List content
curl --request GET \
  --url https://api.app.hrizn.io/v1/public/content \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "4d42cdcf-e24f-4123-960e-6c15761fcfcf",
      "title": "Unveiling the Power and Performance of the 2026 Chevy Silverado 3500 DRW",
      "article_type": "basic",
      "status": "complete",
      "category": {
        "id": "b24ad569-f7ce-47ad-be44-cec02c0fab70",
        "name": "2026 Chevy Silverado 3500 DRW"
      },
      "created_at": "2026-02-27T21:41:20.418301+00:00",
      "updated_at": "2026-02-27T21:42:56.623718+00:00"
    },
    {
      "id": "e3e864ce-06fc-477e-b032-8efd8c9e85cf",
      "title": "2026 Chevrolet Trax for Sale in Huntington, NY",
      "article_type": "modellanding",
      "status": "complete",
      "category": null,
      "created_at": "2026-02-27T21:00:35.026534+00:00",
      "updated_at": "2026-02-27T21:03:00.811516+00:00"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNi0wMi0yN1QyMTowMDozNS4wMjY1MzQrMDA6MDAiLCJpZCI6ImUzZTg2NGNlLTA2ZmMtNDc3ZS1iMDMyLThlZmQ4YzllODVjZiJ9",
    "total_count": 487
  }
}
Returns a paginated list of content. Scope required: content:read

Query parameters

limit
integer
default:"25"
Results per page (1-100).
cursor
string
Pagination cursor.
article_type
string
Filter by article type (basic, qa, expert, modellanding, comparison, salesevent).

Response

status
string
Content status: generating, complete, failed, or awaiting_input.
category
object | null
The category assigned to this content, containing id and name. Returns null if no category is assigned.
{
  "data": [
    {
      "id": "4d42cdcf-e24f-4123-960e-6c15761fcfcf",
      "title": "Unveiling the Power and Performance of the 2026 Chevy Silverado 3500 DRW",
      "article_type": "basic",
      "status": "complete",
      "category": {
        "id": "b24ad569-f7ce-47ad-be44-cec02c0fab70",
        "name": "2026 Chevy Silverado 3500 DRW"
      },
      "created_at": "2026-02-27T21:41:20.418301+00:00",
      "updated_at": "2026-02-27T21:42:56.623718+00:00"
    },
    {
      "id": "e3e864ce-06fc-477e-b032-8efd8c9e85cf",
      "title": "2026 Chevrolet Trax for Sale in Huntington, NY",
      "article_type": "modellanding",
      "status": "complete",
      "category": null,
      "created_at": "2026-02-27T21:00:35.026534+00:00",
      "updated_at": "2026-02-27T21:03:00.811516+00:00"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNi0wMi0yN1QyMTowMDozNS4wMjY1MzQrMDA6MDAiLCJpZCI6ImUzZTg2NGNlLTA2ZmMtNDc3ZS1iMDMyLThlZmQ4YzllODVjZiJ9",
    "total_count": 487
  }
}

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Query Parameters

limit
integer
default:25

Number of results per page

Required range: 1 <= x <= 100
cursor
string

Base64-encoded pagination cursor

article_type
enum<string>

Filter by article type

Available options:
basic,
qa,
expert,
modellanding,
comparison,
salesevent

Response

Paginated list of content

data
object[]
pagination
object
Last modified on March 1, 2026